{% extends "hyperkitty/base.html" %}
{% load i18n %}
{% load gravatar %}
{% load hk_generic %}
{% load crispy_forms_tags %}


{% block title %}
{% trans "Create a new thread" %} - {{ mlist.display_name|default:mlist.name|escapeemail }} - {{ app_name|title }}
{% endblock %}

{% block content %}

<div class="row">

{% include 'hyperkitty/fragments/month_list.html' %}

    <div class="col-sm-10">

        <div class="message-header">
            <h1>
                {% trans "Create a new thread" %}
                <small>{% trans 'in' %} {{ mlist.display_name|default:mlist.name|escapeemail }}</small>
            </h1>
        </div>

        <div class="new-thread-form">
            <form method="post" enctype="multipart/form-data"
                  action="{% url 'hk_message_new' mlist_fqdn=mlist.name %}">

                {% comment "Crispy should take care of all that" %}
                {% csrf_token %}
                <ul class="list-unstyled">
                {% for error in post_form.non_field_errors %}
                    <li><i class="fa-li fa fa-times-circle"></i> {{ error }}</li>
                {% endfor %}
                </ul>
                <div class="form-group {% if post_form.subject.errors %}has-error{% endif %}">
                    {{ post_form.subject.label }}
                    {{ post_form.subject }}
                    <span class="help-block">{{ post_form.subject.errors }}</span>
                </div>
                {% endcomment %}

                {% crispy post_form %}

                {% include "hyperkitty/fragments/send_as.html" with form=post_form %}

                <p class="buttons">
                    <button type="submit" class="submit btn btn-primary">{% trans "Send" %}</button>
                    {% trans "or" %} <a class="cancel" href="{% url 'hk_archives_latest' mlist_fqdn=mlist.name %}">{% trans "cancel" %}</a>
                </p>
            </form>
        </div>

    </div>

</div>

{% endblock %}

{% block additionaljs %}
<script type="text/javascript">
    $(document).ready(function() {
        setup_send_as($(".new-thread-form"));
    });
</script>
{% endblock %}
